<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="@dimen/default_dialog_width"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:background="@drawable/background_shape_white_radius_8">

        <RelativeLayout
            android:id="@+id/closeContainer"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginTop="5dp"
            android:layout_marginRight="5dp"
            android:visibility="gone"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:visibility="visible">

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_centerInParent="true"
                app:srcCompat="@drawable/ic_dialog_close" />
        </RelativeLayout>

        <TextView
            android:id="@+id/titleTv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="24dp"
            android:layout_marginTop="24dp"
            android:layout_marginRight="24dp"
            android:drawablePadding="4dp"
            android:textColor="@color/text_primary"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="提示" />

        <TextView
            android:id="@+id/contentTv"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="24dp"
            android:layout_marginTop="16dp"
            android:layout_marginRight="24dp"
            android:lineSpacingExtra="7dp"
            android:textColor="@color/text_secondary"
            android:textSize="14sp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/titleTv"
            tools:text="这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文。" />

        <ScrollView
            android:id="@+id/extraContentView"
            android:layout_width="match_parent"
            android:layout_height="100dp"
            android:layout_marginStart="24dp"
            android:layout_marginTop="12dp"
            android:layout_marginEnd="24dp"
            android:layout_marginBottom="16dp"
            android:background="@drawable/bg_shape_space_radius_4"
            android:fadeScrollbars="false"
            android:scrollbarStyle="outsideOverlay"
            android:scrollbarThumbVertical="@drawable/privacy_scrollbar_vertical"
            android:scrollbars="vertical"
            android:visibility="gone"
            app:layout_constraintTop_toBottomOf="@id/contentTv"
            tools:visibility="visible">

            <TextView
                android:id="@+id/extraContentTv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:lineSpacingExtra="4dp"
                android:paddingStart="12dp"
                android:paddingTop="8dp"
                android:paddingEnd="12dp"
                android:paddingBottom="8dp"
                android:textColor="@color/text_secondary"
                android:textSize="@dimen/body_text_size"
                tools:text="1. 游戏下载功能
                            \n2. 图片上传功能（头像、主页背景、帖子、游戏单）
                            \n3. 视频上传功能（视频流、帖子）
                            \n4. 图片保存功能
                            \n5. 游戏投稿功能" />
        </ScrollView>

        <TextView
            android:id="@+id/hintTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="14dp"
            android:textColor="@color/text_tertiary"
            android:textSize="14sp"
            android:visibility="gone"
            app:layout_constraintLeft_toLeftOf="@id/extraContentView"
            app:layout_constraintRight_toRightOf="@id/extraContentView"
            app:layout_constraintTop_toBottomOf="@id/extraContentView"
            app:layout_constrainedWidth="true"
            app:layout_constraintHorizontal_bias="0"
            tools:text="查看权限应用场景"
            tools:visibility="visible" />

        <View
            android:id="@+id/lineView"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="16dp"
            android:background="@color/ui_divider"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/hintTv"
            app:layout_goneMarginTop="23dp" />

        <TextView
            android:id="@+id/cancelTv"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:gravity="center"
            android:text="@string/cancel"
            android:textColor="@color/text_secondary"
            android:textSize="14sp"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toLeftOf="@+id/confirmTv"
            app:layout_constraintTop_toBottomOf="@id/lineView" />

        <View
            android:id="@+id/centerDivider"
            android:layout_width="1dp"
            android:layout_height="0dp"
            android:background="@color/ui_divider"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="@id/confirmTv"
            app:layout_constraintTop_toBottomOf="@id/lineView" />

        <TextView
            android:id="@+id/confirmTv"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:gravity="center"
            android:text="@string/confirm"
            android:textColor="@color/text_theme"
            android:textSize="14sp"
            android:textStyle="bold"
            app:layout_constraintLeft_toRightOf="@id/cancelTv"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@id/lineView" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>